#!/usr/bin/env python
"""Django's command-line utility for administrative tasks."""
import os
import sys

## Documentation of main function
# @brief This function is used to set your settings.py file as default setting and the command is run from command line otherwise raise an error
# @brief NO paramerts passed
def main():
    os.environ.setdefault('DJANGO_SETTINGS_MODULE', 'papers.settings')
    try:
        from django.core.management import execute_from_command_line
    except ImportError as exc:
        raise ImportError(
            "Couldn't import Django. Are you sure it's installed and "
            "available on your PYTHONPATH environment variable? Did you "
            "forget to activate a virtual environment?"
        ) from exc
    execute_from_command_line(sys.argv)


if __name__ == '__main__':
    main()
